## org.eclipse.emf.compare.match.filter
Class ResourceFilterRegistry

    java.lang.Object
      org.eclipse.emf.compare.match.filter.ResourceFilterRegistry

    public final class ResourceFilterRegistry

extends java.lang.Object

This registry will hold all resources filters available for the match to filter resources out of the "to-be-matched" list of resources. An example of this is the BinaryIdenticalResourcesFilter.

Field Summary
`static ResourceFilterRegistry` `INSTANCE` Singleton instance of the registry.

Method Summary
`void` `addFilter(IResourceFilter filter)` Manually adds a filter to the registry.
`void` `clearRegistry()` Clears the registry out of all registered filters.
`java.util.Set<IResourceFilter>` `getRegisteredResourceFilters()` Returns the set of all registered resource filters.
`void` `removeFilter(IResourceFilter filter)` Removes a filter from the registry.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INSTANCE

    public static final ResourceFilterRegistry INSTANCE

  Singleton instance of the registry.

Method Detail

### addFilter

    public void addFilter(IResourceFilter filter)

  Manually adds a filter to the registry. This doesn't need to be called on filters registered through the extension point.

  Parameters:
    `filter` - The `IResourceFilter` that is to be registered for the matching phase.

### removeFilter

    public void removeFilter(IResourceFilter filter)

  Removes a filter from the registry. Filters added through the extension point cannot be removed through this method.

  Parameters:
    `filter` - The filter that is to be removed from the registry.

### clearRegistry

    public void clearRegistry()

  Clears the registry out of all registered filters.

### getRegisteredResourceFilters

    public java.util.Set<IResourceFilter> getRegisteredResourceFilters()

  Returns the set of all registered resource filters. Note that the order could have changed if this is run within a running Eclipse and the plugin registry itself changed.

  Returns:
    The set of all registered resource filters.

Copyright 2006 IBM Corporation and others. All Rights Reserved.